# hashTable_s Struct Reference

## Data Fields

int | numBuckets
int | keySize
int | freeData
hashBucket * | buckets
hashFunctionType | fn
hashEqualityType | eq

## Detailed Description

Definition at line 26 of file rpmhash.c.

## Field Documentation

hashBucket* hashTable_s::buckets

hash bucket array

Definition at line 30 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), and htFree().

hashEqualityType hashTable_s::eq

compare hash keys for equality

Definition at line 32 of file rpmhash.c.

Referenced by findEntry(), and htAddEntry().

hashFunctionType hashTable_s::fn

generate hash value for key

Definition at line 31 of file rpmhash.c.

Referenced by findEntry(), and htAddEntry().

int hashTable_s::freeData

should data be freed when table is destroyed?

Definition at line 29 of file rpmhash.c.

Referenced by htFree().

int hashTable_s::keySize

size of key (0 if unknown)

Definition at line 28 of file rpmhash.c.

Referenced by htAddEntry(), and htFree().

int hashTable_s::numBuckets

number of hash buckets

Definition at line 27 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), and htFree().

The documentation for this struct was generated from the following file:

- rpmdb/rpmhash.c